# Class: LinkComponent

## LinkComponent()

Component providing hyper-links that navigate to other pages in the SPA, without reloading the page.

## Constructor

#### new LinkComponent()

Source:
  - frontend/src/components/Link.component.js, line 12

### Methods

#### on_click()

Called when the link is clicked. Navigates the router.

Source:
  - frontend/src/components/Link.component.js, line 20